Jump to content

Recommended Posts

Posted

Hello i need help i want to create lines where cover the first polyline where cross the grid polygon.

I upload file for better understand.

 

Thank you :)

Tr1.dwg

Posted

This should be the missing part you need to finish the goal of your program and I am sure that you do the rest part for lines. :) 

;; where variables:					;;
;; obj = Green Polyline.				;;
;; lst = list of intersected points.			;;
;; srt = sorted points to use to create lines in order.	;;

(foreach pt lst
  (setq pts (cons (vlax-curve-getdistatpoint obj (vlax-curve-getclosestpointto obj pt)) pts))
  )
(setq srt (vl-sort pts '(lambda (j k) (< j k))))

 

  • Thanks 1
Posted

Hello, @Tharwat I add this just now and work perfect.

 

Thank you very much :)

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...